View Issue Details

IDProjectCategoryView StatusLast Update
0032177LazarusWidgetsetpublic2017-12-31 14:47
ReporterDr. Bodo WittigAssigned ToDmitry Boyarintsev 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformiMac 27, MacBook Air 13OSmacOSOS Version10.10.5
Product Version1.8RC3Product Build 
Target VersionFixed in Version 
Summary0032177: Cocoa; activation of form
DescriptionMy example (s.b.): unit1 ist main form; form2 is only opened upon clicking "Button1" or "Speedbutton". After closing form2 (clock on Button "Close") form1 isn't automatically activated again (unlike Carbon and/or Windows).

If you only click the titlebar of form1, it seems that form1 is activated, but it is really not. You have to click into the window area itself to activate the window.
Steps To Reproducesee example.
TagsNo tags attached.
Fixed in Revision56890
LazTarget-
WidgetsetCocoa
Attached Files

Relationships

related to 0028490 closedFelipe Monteiro de Carvalho Cocoa closing form does not close its menu 

Activities

Dr. Bodo Wittig

2017-07-20 11:56

reporter  

TestProject1.zip (435,822 bytes)

Chris Rorden

2017-07-21 14:07

reporter   ~0101840

I think this is related to 0028490

"2.) With either ShowModal or Show closing the Child Form does not cause the parent menu to become active - the user needs to click on the Parent Form to make the Parent Form's menu visible."

At the time I should have filed two reports, as Felipe fixed some of the problem but not all.

Chris Rorden

2017-07-26 23:19

reporter   ~0101932

I wonder if we could call something like this whenever a form closes:

 if self <> Application.MainForm then
  Application.MainForm.SetFocus;

Just not sure how to tie this in to Cocoa, perhaps in the
  class procedure TCocoaWSWinControl.ShowHide(const AWinControl: TWinControl);

Dmitry Boyarintsev

2017-12-31 03:48

developer   ~0105176

please test and close if ok

Issue History

Date Modified Username Field Change
2017-07-20 11:56 Dr. Bodo Wittig New Issue
2017-07-20 11:56 Dr. Bodo Wittig File Added: TestProject1.zip
2017-07-21 14:07 Chris Rorden Note Added: 0101840
2017-07-25 12:40 Felipe Monteiro de Carvalho Assigned To => Felipe Monteiro de Carvalho
2017-07-25 12:40 Felipe Monteiro de Carvalho Status new => assigned
2017-07-26 23:19 Chris Rorden Note Added: 0101932
2017-07-27 08:29 Felipe Monteiro de Carvalho Relationship added related to 0028490
2017-12-24 00:13 Dmitry Boyarintsev Assigned To Felipe Monteiro de Carvalho => Dmitry Boyarintsev
2017-12-31 03:48 Dmitry Boyarintsev Fixed in Revision => 56890
2017-12-31 03:48 Dmitry Boyarintsev LazTarget => -
2017-12-31 03:48 Dmitry Boyarintsev Note Added: 0105176
2017-12-31 03:48 Dmitry Boyarintsev Status assigned => resolved
2017-12-31 03:48 Dmitry Boyarintsev Resolution open => fixed